diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-api/src/main/java/org/nuxeo/ecm/usersettings/UserSettingsService.java
--- a/nuxeo-platform-usersettings-api/src/main/java/org/nuxeo/ecm/usersettings/UserSettingsService.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-api/src/main/java/org/nuxeo/ecm/usersettings/UserSettingsService.java	Fri Mar 26 09:05:32 2010 +0100
@@ -9,32 +9,43 @@
 
 public interface UserSettingsService {
 
-    public DocumentModelList getCurrentUserSettings(CoreSession coreSession) throws ClientException;
+    public DocumentModelList getCurrentUserSettings(CoreSession coreSession)
+            throws ClientException;
 
-    public DocumentModelList getCurrentUserSettings(CoreSession coreSession, DocumentType filter) throws ClientException;
+    public DocumentModelList getCurrentUserSettings(CoreSession coreSession,
+            DocumentType filter) throws ClientException;
 
-    public DocumentModelList getCurrentUserSettings(CoreSession coreSession, String type) throws ClientException;
+    public DocumentModelList getCurrentUserSettings(CoreSession coreSession,
+            String type) throws ClientException;
 
-    public DocumentModelList getUserSettings(String userName) throws ClientException;
+    public DocumentModelList getUserSettings(String userName)
+            throws ClientException;
 
-    public DocumentModelList getUserSettings(String userName, DocumentType filter) throws ClientException;
+    public DocumentModelList getUserSettings(String userName,
+            DocumentType filter) throws ClientException;
 
-    public DocumentModelList getUserSettings(String userName, String type) throws ClientException;
+    public DocumentModelList getUserSettings(String userName, String type)
+            throws ClientException;
 
-    public DocumentModelList getUserSettings(CoreSession coreSession, String userName) throws ClientException;
+    public DocumentModelList getUserSettings(CoreSession coreSession,
+            String userName) throws ClientException;
 
-    public DocumentModelList getUserSettings(CoreSession coreSession, String userName, DocumentType filter) throws ClientException;
+    public DocumentModelList getUserSettings(CoreSession coreSession,
+            String userName, DocumentType filter) throws ClientException;
 
-    public DocumentModelList getUserSettings(CoreSession coreSession, String userName, String type) throws ClientException;
+    public DocumentModelList getUserSettings(CoreSession coreSession,
+            String userName, String type) throws ClientException;
 
-    public void registerProvider(String providerName, UserSettingsProvider provider) throws ClientException ;
+    public void registerProvider(String providerName,
+            UserSettingsProvider provider) throws ClientException;
 
-    public void unRegisterProvider(String providerName) throws ClientException ;
-    
-    public Map<String, UserSettingsProvider> getAllRegisteredProviders() throws ClientException ;
-    
+    public void unRegisterProvider(String providerName) throws ClientException;
+
+    public Map<String, UserSettingsProvider> getAllRegisteredProviders()
+            throws ClientException;
+
     public void initService() throws Exception;
-    
+
     public void termService() throws Exception;
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-api/src/main/java/org/nuxeo/ecm/usersettings/UserSettingsServiceImplComponent.java
--- a/nuxeo-platform-usersettings-api/src/main/java/org/nuxeo/ecm/usersettings/UserSettingsServiceImplComponent.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-api/src/main/java/org/nuxeo/ecm/usersettings/UserSettingsServiceImplComponent.java	Fri Mar 26 09:05:32 2010 +0100
@@ -13,7 +13,8 @@
 import org.nuxeo.runtime.model.DefaultComponent;
 
 /**
- * This component is used to register the service that provide the userworkspace service support.
+ * This component is used to register the service that provide the userworkspace
+ * service support.
  * 
  * @author btatar
  * @author Damien METZLER (damien.metzler@leroymerlin.fr)
@@ -31,156 +32,176 @@
 
     @Override
     public void activate(ComponentContext context) {
-	log.info("UserSettingsService activated");
+        log.info("UserSettingsService activated");
     }
 
     @Override
     public void deactivate(ComponentContext context) {
-	log.info("UserSettingsService deactivated");
+        log.info("UserSettingsService deactivated");
     }
 
     @Override
     public <T> T getAdapter(Class<T> adapter) {
-	if (adapter == UserSettingsService.class) {
-	    try {
-		return adapter.cast(getUserSettingsService());
-	    } catch (Exception e) {
-		log.error("error fetching UserSettingsService: ", e);
-	    }
-	}
-	return null;
+        if (adapter == UserSettingsService.class) {
+            try {
+                return adapter.cast(getUserSettingsService());
+            } catch (Exception e) {
+                log.error("error fetching UserSettingsService: ", e);
+            }
+        }
+        return null;
     }
 
     private UserSettingsService getUserSettingsService() throws ClientException {
 
-	if (userSettingsService == null) {
+        if (userSettingsService == null) {
 
-	    Class<?> klass = descriptor.getUserSettingsClass();
+            Class<?> klass = descriptor.getUserSettingsClass();
 
-	    if (klass == null) {
-		throw new ClientException("No class specified for the userPreferences");
-	    }
-	    try {
-		userSettingsService = (UserSettingsService) klass.newInstance();
-		userSettingsService.initService();
-	    } catch (Exception e) {
-		throw new ClientException("Failed to instantiate class " + klass, e);
-	    }
-	}
-	return userSettingsService;
+            if (klass == null) {
+                throw new ClientException(
+                        "No class specified for the userPreferences");
+            }
+            try {
+                userSettingsService = (UserSettingsService) klass.newInstance();
+                userSettingsService.initService();
+            } catch (Exception e) {
+                throw new ClientException("Failed to instantiate class "
+                        + klass, e);
+            }
+        }
+        return userSettingsService;
     }
 
     @Override
-    public void registerContribution(Object contribution, String extensionPoint, ComponentInstance contributor)
-	    throws ClientException {
+    public void registerContribution(Object contribution,
+            String extensionPoint, ComponentInstance contributor)
+            throws ClientException {
 
-	if (UserSettingsConstants.BASE_EXTENSION_POINT.equals(extensionPoint)) {
-	    descriptor = (UserSettingsDescriptor) contribution;	    
-	    log.info(String.format("Registered %s extension point with %s class.", extensionPoint,contribution.getClass().getName()));
-	} else if (UserSettingsConstants.SETTINGS_PROVIDER_EXTENSION_POINT.equals(extensionPoint)) {
-	    registerUserSettingsProvider(contribution, extensionPoint, contributor);
-	} else {
-	    throw new ClientException(extensionPoint + " is not a valid extension point.");
-	}
+        if (UserSettingsConstants.BASE_EXTENSION_POINT.equals(extensionPoint)) {
+            descriptor = (UserSettingsDescriptor) contribution;
+            log.info(String.format(
+                    "Registered %s extension point with %s class.",
+                    extensionPoint, contribution.getClass().getName()));
+        } else if (UserSettingsConstants.SETTINGS_PROVIDER_EXTENSION_POINT.equals(extensionPoint)) {
+            registerUserSettingsProvider(contribution, extensionPoint,
+                    contributor);
+        } else {
+            throw new ClientException(extensionPoint
+                    + " is not a valid extension point.");
+        }
 
     }
 
-    private void registerUserSettingsProvider(Object contribution, String extensionPoint, ComponentInstance contributor)
-	    throws ClientException {
+    private void registerUserSettingsProvider(Object contribution,
+            String extensionPoint, ComponentInstance contributor)
+            throws ClientException {
 
-	UserSettingsProviderDescriptor desc = (UserSettingsProviderDescriptor) contribution;
-	
-	Class<?> klass = desc.getProviderClass();
+        UserSettingsProviderDescriptor desc = (UserSettingsProviderDescriptor) contribution;
 
-	try {
+        Class<?> klass = desc.getProviderClass();
 
-	    UserSettingsService svc = getUserSettingsService();
+        try {
 
-	    if (klass == null) {
-		log.info(String.format("No class specified for %s AlertProvider, trying to remove", desc.getProviderName()));
-		svc.unRegisterProvider(desc.getProviderName());
-	    } else {
-		UserSettingsProvider provider = (UserSettingsProvider) klass.newInstance();
-		svc.registerProvider(desc.getProviderName(), provider);
-		log.info(String.format("Registered %s extension point with %s name.", extensionPoint, desc.getProviderName()));
-	    }
+            UserSettingsService svc = getUserSettingsService();
 
-	} catch (InstantiationException e) {
-	    throw new ClientException("Failed to instantiate class " + klass, e);
-	} catch (IllegalAccessException e) {
-	    throw new ClientException("Failed to instantiate class " + klass, e);
-	} catch (Exception e) {
-	    throw new ClientException("Failed to get UserSettingsService", e);
-	}
+            if (klass == null) {
+                log.info(String.format(
+                        "No class specified for %s AlertProvider, trying to remove",
+                        desc.getProviderName()));
+                svc.unRegisterProvider(desc.getProviderName());
+            } else {
+                UserSettingsProvider provider = (UserSettingsProvider) klass.newInstance();
+                svc.registerProvider(desc.getProviderName(), provider);
+                log.info(String.format(
+                        "Registered %s extension point with %s name.",
+                        extensionPoint, desc.getProviderName()));
+            }
+
+        } catch (InstantiationException e) {
+            throw new ClientException("Failed to instantiate class " + klass, e);
+        } catch (IllegalAccessException e) {
+            throw new ClientException("Failed to instantiate class " + klass, e);
+        } catch (Exception e) {
+            throw new ClientException("Failed to get UserSettingsService", e);
+        }
 
     }
 
     private void unregisterPendingProviders() throws ClientException {
 
-	try {
+        try {
 
-	    UserSettingsService svc = getUserSettingsService();
+            UserSettingsService svc = getUserSettingsService();
 
-	    List<String> names = new ArrayList<String>();
-	    Iterator<Entry<String, UserSettingsProvider>> it = svc.getAllRegisteredProviders().entrySet().iterator();
-	    while (it.hasNext())
-		names.add(it.next().getKey());
-	    for (String name : names) {
-		log.info(String.format("Unregistering pending settings provider %s", name));
-		svc.unRegisterProvider(name);
-	    }
+            List<String> names = new ArrayList<String>();
+            Iterator<Entry<String, UserSettingsProvider>> it = svc.getAllRegisteredProviders().entrySet().iterator();
+            while (it.hasNext())
+                names.add(it.next().getKey());
+            for (String name : names) {
+                log.info(String.format(
+                        "Unregistering pending settings provider %s", name));
+                svc.unRegisterProvider(name);
+            }
 
-	} catch (Exception e) {
-	    throw new ClientException("Failed to unregister UserSettingsService", e);
-	}
+        } catch (Exception e) {
+            throw new ClientException(
+                    "Failed to unregister UserSettingsService", e);
+        }
 
     }
 
-    private void unregisterUserSettingsProvider(Object contribution, String extensionPoint, ComponentInstance contributor)
-	    throws ClientException {
+    private void unregisterUserSettingsProvider(Object contribution,
+            String extensionPoint, ComponentInstance contributor)
+            throws ClientException {
 
-	UserSettingsProviderDescriptor desc = (UserSettingsProviderDescriptor) contribution;
+        UserSettingsProviderDescriptor desc = (UserSettingsProviderDescriptor) contribution;
 
-	try {
+        try {
 
-	    UserSettingsService svc = getUserSettingsService();
+            UserSettingsService svc = getUserSettingsService();
 
-	    svc.unRegisterProvider(desc.getProviderName());
+            svc.unRegisterProvider(desc.getProviderName());
 
-	    log.info(String.format("Unregistering settings provider %s", desc.getProviderName()));
-		
-	} catch (Exception e) {
-	    throw new ClientException("Failed to unregister UserSettingsService", e);
-	}
+            log.info(String.format("Unregistering settings provider %s",
+                    desc.getProviderName()));
+
+        } catch (Exception e) {
+            throw new ClientException(
+                    "Failed to unregister UserSettingsService", e);
+        }
 
     }
 
     @Override
-    public void unregisterContribution(Object contribution, String extensionPoint, ComponentInstance contributor)
-	    throws ClientException {
+    public void unregisterContribution(Object contribution,
+            String extensionPoint, ComponentInstance contributor)
+            throws ClientException {
 
-	if (UserSettingsConstants.BASE_EXTENSION_POINT.equals(extensionPoint)) {
-	    unregisterPendingProviders();
-	    try {
-		userSettingsService.termService();
-	    } catch (Exception e) {
-		log.error("Error when terminating service", e);
-	    }
-	    descriptor = null;
-	} else if (UserSettingsConstants.SETTINGS_PROVIDER_EXTENSION_POINT.equals(extensionPoint)) {
-	    unregisterUserSettingsProvider(contribution, extensionPoint, contributor);
-	} else {
-	    throw new ClientException(extensionPoint + " is not a valid extension point.");
-	}
+        if (UserSettingsConstants.BASE_EXTENSION_POINT.equals(extensionPoint)) {
+            unregisterPendingProviders();
+            try {
+                userSettingsService.termService();
+            } catch (Exception e) {
+                log.error("Error when terminating service", e);
+            }
+            descriptor = null;
+        } else if (UserSettingsConstants.SETTINGS_PROVIDER_EXTENSION_POINT.equals(extensionPoint)) {
+            unregisterUserSettingsProvider(contribution, extensionPoint,
+                    contributor);
+        } else {
+            throw new ClientException(extensionPoint
+                    + " is not a valid extension point.");
+        }
 
     }
 
     public static void reset() {
-	userSettingsService = null;
+        userSettingsService = null;
     }
 
     public static Class<? extends UserSettingsService> getUserSettingsClass() {
-	return descriptor.getUserSettingsClass();
+        return descriptor.getUserSettingsClass();
     }
 
 }
\ No newline at end of file
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-core/src/main/java/org/nuxeo/ecm/usersettings/core/UserSettingsServiceImpl.java
--- a/nuxeo-platform-usersettings-core/src/main/java/org/nuxeo/ecm/usersettings/core/UserSettingsServiceImpl.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-core/src/main/java/org/nuxeo/ecm/usersettings/core/UserSettingsServiceImpl.java	Fri Mar 26 09:05:32 2010 +0100
@@ -69,7 +69,7 @@
     private DocumentModel root;
 
     private void term() throws Exception {
-	closeSession();
+        closeSession();
     }
 
     private void init() throws Exception {
@@ -77,137 +77,149 @@
 
     private void closeSession() throws LoginException {
 
-	if (adminSession != null) {
-	    Repository.close(adminSession);
-	    adminSession = null;
-	}
+        if (adminSession != null) {
+            Repository.close(adminSession);
+            adminSession = null;
+        }
 
-	if (loginContext != null) {
-	    loginContext.logout();
-	    loginContext = null;
-	}
+        if (loginContext != null) {
+            loginContext.logout();
+            loginContext = null;
+        }
 
     }
 
     private CoreSession getAdminSession() throws ClientException {
 
-	try {
-	    if (adminSession == null) {
+        try {
+            if (adminSession == null) {
 
-		loginContext = Framework.login();
+                loginContext = Framework.login();
 
-		if (loginContext == null) {
-		    log.warn("loginContext is null, probably in a test environment, continuing and hope for he best");
-		}
+                if (loginContext == null) {
+                    log.warn("loginContext is null, probably in a test environment, continuing and hope for he best");
+                }
 
-		RepositoryManager mgr = Framework.getService(RepositoryManager.class);
-		Repository repository = mgr.getDefaultRepository();
-		adminSession = repository.open();
-	    }
-	} catch (Exception e) {
-	    throw new ClientException("Unable to open core session", e);
-	}
+                RepositoryManager mgr = Framework.getService(RepositoryManager.class);
+                Repository repository = mgr.getDefaultRepository();
+                adminSession = repository.open();
+            }
+        } catch (Exception e) {
+            throw new ClientException("Unable to open core session", e);
+        }
 
-	return adminSession;
+        return adminSession;
 
     }
 
-    public void registerProvider(String providerName, UserSettingsProvider provider) throws ClientException {
+    public void registerProvider(String providerName,
+            UserSettingsProvider provider) throws ClientException {
 
-	if (UserSettingsProviders.containsKey(providerName)) {
+        if (UserSettingsProviders.containsKey(providerName)) {
 
-	    log.error(String.format("%s UserSettings provider already exists and cannot be registered", providerName));
+            log.error(String.format(
+                    "%s UserSettings provider already exists and cannot be registered",
+                    providerName));
 
-	} else {
+        } else {
 
-	    UserSettingsProviders.put(providerName, provider);
+            UserSettingsProviders.put(providerName, provider);
 
-	    log.info(String.format("%s UserSettings provider registered", providerName));
+            log.info(String.format("%s UserSettings provider registered",
+                    providerName));
 
-	}
+        }
 
     }
 
     public void unRegisterProvider(String providerName) throws ClientException {
 
-	if (!UserSettingsProviders.containsKey(providerName)) {
+        if (!UserSettingsProviders.containsKey(providerName)) {
 
-	    log.error(String.format("%s UserSettings provider does not exist and cannot be removed", providerName));
+            log.error(String.format(
+                    "%s UserSettings provider does not exist and cannot be removed",
+                    providerName));
 
-	} else {
+        } else {
 
-	    UserSettingsProviders.remove(providerName);
+            UserSettingsProviders.remove(providerName);
 
-	    log.info(String.format("%s UserSettings provider removed", providerName));
+            log.info(String.format("%s UserSettings provider removed",
+                    providerName));
 
-	}
+        }
 
     }
 
-    public DocumentModelList getUserSettings(CoreSession userSession, String userName) throws ClientException {
+    public DocumentModelList getUserSettings(CoreSession userSession,
+            String userName) throws ClientException {
 
-	DocumentModelList result = findUserSettings(userSession, userName, getUserWorkspace(userSession, userName), null);
+        DocumentModelList result = findUserSettings(userSession, userName,
+                getUserWorkspace(userSession, userName), null);
 
-	return result;
+        return result;
 
     }
 
-    public DocumentModelList getUserSettings(CoreSession userSession, String userName, DocumentType filter)
-	    throws ClientException {
+    public DocumentModelList getUserSettings(CoreSession userSession,
+            String userName, DocumentType filter) throws ClientException {
 
-	DocumentModelList result = findUserSettings(userSession, userName, getUserWorkspace(userSession, userName), filter
-		.getName());
+        DocumentModelList result = findUserSettings(userSession, userName,
+                getUserWorkspace(userSession, userName), filter.getName());
 
-	return result;
+        return result;
     }
 
-    public DocumentModelList getUserSettings(CoreSession userSession, String userName, String type) throws ClientException {
+    public DocumentModelList getUserSettings(CoreSession userSession,
+            String userName, String type) throws ClientException {
 
-	DocumentModelList result = findUserSettings(userSession, userName, getUserWorkspace(userSession, userName), type);
+        DocumentModelList result = findUserSettings(userSession, userName,
+                getUserWorkspace(userSession, userName), type);
 
-	return result;
+        return result;
     }
 
     public void initService() throws Exception {
-	init();
+        init();
     }
 
     public void termService() throws Exception {
-	term();
+        term();
     }
 
-    private DocumentModelList findUserSettings(CoreSession userSession, String userName, DocumentModel userWorkspace, String type)
-	    throws ClientException {
+    private DocumentModelList findUserSettings(CoreSession userSession,
+            String userName, DocumentModel userWorkspace, String type)
+            throws ClientException {
 
-	initRoot(userSession, userName, userWorkspace);
+        initRoot(userSession, userName, userWorkspace);
 
-	DocumentModelList result = new DocumentModelListImpl();
+        DocumentModelList result = new DocumentModelListImpl();
 
-	if (UserSettingsType.DOCTYPE.equals(type)) {
-	    result.add(root);
-	    return result;
-	}
+        if (UserSettingsType.DOCTYPE.equals(type)) {
+            result.add(root);
+            return result;
+        }
 
-	if (UserSettingsProviders.size() == 0) {
-	    log.warn("No provider has been registered in the UserSettings service");
-	    return result;
-	}
+        if (UserSettingsProviders.size() == 0) {
+            log.warn("No provider has been registered in the UserSettings service");
+            return result;
+        }
 
-	Iterator<Entry<String, UserSettingsProvider>> it = UserSettingsProviders.entrySet().iterator();
+        Iterator<Entry<String, UserSettingsProvider>> it = UserSettingsProviders.entrySet().iterator();
 
-	while (it.hasNext()) {
+        while (it.hasNext()) {
 
-	    UserSettingsProvider prov = it.next().getValue();
+            UserSettingsProvider prov = it.next().getValue();
 
-	    if (type == null || prov.isTypeSupported(type)) {
-		result.addAll(prov.getUserSettings(root, userSession, userName));
-	    }
+            if (type == null || prov.isTypeSupported(type)) {
+                result.addAll(prov.getUserSettings(root, userSession, userName));
+            }
 
-	}
+        }
 
-	userSession.save();
+        userSession.save();
 
-	return result;
+        return result;
     }
 
     /**
@@ -218,108 +230,124 @@
      * @throws ClientException
      */
 
-    protected DocumentModel getUserWorkspace(CoreSession session, String userName) throws ClientException {
+    protected DocumentModel getUserWorkspace(CoreSession session,
+            String userName) throws ClientException {
 
-	try {
-	    
-	    UserWorkspaceService uws = Framework.getService(UserWorkspaceService.class);
+        try {
 
-	    DocumentModel userWorkspace = uws.getCurrentUserPersonalWorkspace(userName, getAdminSession().getRootDocument());
+            UserWorkspaceService uws = Framework.getService(UserWorkspaceService.class);
 
-	    getAdminSession().save();
+            DocumentModel userWorkspace = uws.getCurrentUserPersonalWorkspace(
+                    userName, getAdminSession().getRootDocument());
 
-	    return userWorkspace;
+            getAdminSession().save();
 
-	}
-	catch (ClientException e) {
-	    throw e;
-	}
-	catch (Exception e) {
-	    throw new ClientException(e);
-	}
+            return userWorkspace;
+
+        } catch (ClientException e) {
+            throw e;
+        } catch (Exception e) {
+            throw new ClientException(e);
+        }
 
     }
 
-    public DocumentModelList getUserSettings(String userName) throws ClientException {
+    public DocumentModelList getUserSettings(String userName)
+            throws ClientException {
 
-	return getUserSettings(getAdminSession(), userName);
+        return getUserSettings(getAdminSession(), userName);
 
     }
 
-    public DocumentModelList getUserSettings(String userName, DocumentType filter) throws ClientException {
+    public DocumentModelList getUserSettings(String userName,
+            DocumentType filter) throws ClientException {
 
-	return getUserSettings(getAdminSession(), userName, filter);
+        return getUserSettings(getAdminSession(), userName, filter);
 
     }
 
-    public DocumentModelList getUserSettings(String userName, String type) throws ClientException {
+    public DocumentModelList getUserSettings(String userName, String type)
+            throws ClientException {
 
-	return getUserSettings(getAdminSession(), userName, type);
+        return getUserSettings(getAdminSession(), userName, type);
 
     }
 
-    protected void initRoot(CoreSession userCoreSession, String userName, DocumentModel userWorkspace) throws ClientException {
+    protected void initRoot(CoreSession userCoreSession, String userName,
+            DocumentModel userWorkspace) throws ClientException {
 
-	DocumentModelList list = userCoreSession.getChildren(userWorkspace.getRef(), UserSettingsType.DOCTYPE);
+        DocumentModelList list = userCoreSession.getChildren(
+                userWorkspace.getRef(), UserSettingsType.DOCTYPE);
 
-	if (list.isEmpty())
-	    root = createUserSettingsRootDocument(userCoreSession, userName, userWorkspace);
-	else
-	    root = list.get(0);
+        if (list.isEmpty())
+            root = createUserSettingsRootDocument(userCoreSession, userName,
+                    userWorkspace);
+        else
+            root = list.get(0);
 
     }
 
-    protected DocumentModel createUserSettingsRootDocument(CoreSession userSession, String userName, DocumentModel userWorkspace)
-	    throws ClientException {
+    protected DocumentModel createUserSettingsRootDocument(
+            CoreSession userSession, String userName,
+            DocumentModel userWorkspace) throws ClientException {
 
-	log.info(String.format("Creating user settings document for user %s in %s", userName, userWorkspace.getPathAsString()));
+        log.info(String.format(
+                "Creating user settings document for user %s in %s", userName,
+                userWorkspace.getPathAsString()));
 
-	String parent = userWorkspace.getPathAsString();
+        String parent = userWorkspace.getPathAsString();
 
-	DocumentModel doc = userSession.createDocumentModel(parent, UserSettingsImplConstants.DOC_PREFIX + userName,
-		"UserSettings");
+        DocumentModel doc = userSession.createDocumentModel(parent,
+                UserSettingsImplConstants.DOC_PREFIX + userName, "UserSettings");
 
-	String title = UserSettingsImplConstants.TITLE;
+        String title = UserSettingsImplConstants.TITLE;
 
-	try {
-	    title = Messages.instance().get(UserSettingsImplConstants.TITLE);
-	} catch (Exception e) {
-	    log.warn(String.format("Unable to get %s message, defaulting.",
-		    UserSettingsImplConstants.TITLE));
-	}
+        try {
+            title = Messages.instance().get(UserSettingsImplConstants.TITLE);
+        } catch (Exception e) {
+            log.warn(String.format("Unable to get %s message, defaulting.",
+                    UserSettingsImplConstants.TITLE));
+        }
 
-	doc.setProperty("dublincore", "title", title);
-	doc.setProperty("usersettings", "user", userName);
+        doc.setProperty("dublincore", "title", title);
+        doc.setProperty("usersettings", "user", userName);
 
-	doc = userSession.createDocument(doc);
-	doc = userSession.saveDocument(doc);
+        doc = userSession.createDocument(doc);
+        doc = userSession.saveDocument(doc);
 
-	userSession.save();
-	
-	return doc;
+        userSession.save();
+
+        return doc;
 
     }
 
-    public DocumentModelList getCurrentUserSettings(CoreSession userSession) throws ClientException {
+    public DocumentModelList getCurrentUserSettings(CoreSession userSession)
+            throws ClientException {
 
-	return getUserSettings(userSession, userSession.getPrincipal().getName());
+        return getUserSettings(userSession,
+                userSession.getPrincipal().getName());
 
     }
 
-    public DocumentModelList getCurrentUserSettings(CoreSession userSession, DocumentType filter) throws ClientException {
+    public DocumentModelList getCurrentUserSettings(CoreSession userSession,
+            DocumentType filter) throws ClientException {
 
-	return getUserSettings(userSession, userSession.getPrincipal().getName(), filter);
+        return getUserSettings(userSession,
+                userSession.getPrincipal().getName(), filter);
 
     }
 
-    public DocumentModelList getCurrentUserSettings(CoreSession userSession, String type) throws ClientException {
+    public DocumentModelList getCurrentUserSettings(CoreSession userSession,
+            String type) throws ClientException {
 
-	return getUserSettings(userSession, userSession.getPrincipal().getName(), type);
+        return getUserSettings(userSession,
+                userSession.getPrincipal().getName(), type);
 
     }
 
-    public Map<String, UserSettingsProvider> getAllRegisteredProviders() throws ClientException {
-	return UserSettingsProviders;
+    public Map<String, UserSettingsProvider> getAllRegisteredProviders()
+            throws ClientException {
+        return UserSettingsProviders;
     }
 
 }
